Automatic Tags
Automatic tags set on objects (like comments or videos) by specific rules (external link, watched words, etc.)
Get account auto tag policies on comments
PeerTube >= 6.2
Parameters
accountNamestringrequiredpathaccount name to get auto tag policies
Response
successful operation
Response fields application/json
reviewArray<string>Auto tags that automatically set the comment in review state
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Update account auto tag policies on comments
PeerTube >= 6.2
Body
reviewArray<string>Auto tags that automatically set the comment in review state
Parameters
accountNamestringrequiredpathaccount name to update auto tag policies
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Get account available auto tags
PeerTube >= 6.2
Parameters
accountNamestringrequiredpathaccount name to get auto tag policies
Response
successful operation
Response fields application/json
availableArray<object>Available auto tags that can be used to filter objects or set a comment in review state
Show child attributes
namestringtag name
typestringcorewatched-words-listAuthorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Get server available auto tags
PeerTube >= 6.2
Response
successful operation
Response fields application/json
availableArray<object>Available auto tags that can be used to filter objects or set a comment in review state
Show child attributes
namestringtag name
typestringcorewatched-words-listAuthorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin, moderator
Get server auto tag policies for videos
PeerTube >= 8.3
Response
successful operation
Response fields application/json
autoBlockArray<string>Auto tags that will automatically block videos matching these tags
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin, moderator
Update server auto tag policies for videos
PeerTube >= 8.3
Body
autoBlockArray<string>Auto tags that will automatically block videos matching these tags
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin, moderator
